/*
 * See the file "LICENSE" for the full license governing this code.
 */
package up;

/**
 * Transform a tree.
 *
 * @author Marco Kuhlmann <marco.kuhlmann@lingfil.uu.se>
 */
public interface TreeTransformer {

    /**
     * Transform the specified tree.
     *
     * @param tree the tree to be transformed
     * @return the transformed tree
     */
    public abstract Tree transform(Tree tree);
}
